Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class MainMethodFilter

    java.lang.Object
      com.atomikos.beans.MainMethodFilter

All Implemented Interfaces:
  MemberFilter

    public class MainMethodFilter

extends Object
implements MemberFilter

A filter class for main static methods (application entry points).

Constructor Summary
`MainMethodFilter()`

Method Summary
`boolean` | `acceptsConstructor(Constructor constructor)` Test if the filter accepts this constructor.
`boolean` | `acceptsField(Field field)` Test if the filter accepts a field.
`boolean` | `acceptsMethod(Method method)` Test if the filter accepts a method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainMethodFilter

    public MainMethodFilter()

Method Detail

### acceptsField

    public boolean acceptsField(Field field)

  Description copied from interface: `MemberFilter`
  Test if the filter accepts a field.

  Specified by:
    `acceptsField` in interface `MemberFilter`
  Parameters:
    `field` - The field
  Returns:
    boolean True iff acceptable.

### acceptsMethod

    public boolean acceptsMethod(Method method)

  Description copied from interface: `MemberFilter`
  Test if the filter accepts a method.

  Specified by:
    `acceptsMethod` in interface `MemberFilter`
  Parameters:
    `method` - The method.
  Returns:
    boolean True iff acceptable.

### acceptsConstructor

    public boolean acceptsConstructor(Constructor constructor)

  Description copied from interface: `MemberFilter`
  Test if the filter accepts this constructor.

  Specified by:
    `acceptsConstructor` in interface `MemberFilter`
  Parameters:
    `constructor` - The constructor.
  Returns:
    boolean True iff acceptable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.